## python-roborock 2.60.1

=== docs/requirements.txt ===
sphinx

sphinx_rtd_theme

## python-roborock 2.6.0

=== debian/changelog ===
python-roborock (2.6.0-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Fri, 11 Oct 2024 22:06:18 +0100

python-roborock (2.6.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1084898)

 -- Edward Betts <edward@4angle.com>  Thu, 10 Oct 2024 16:41:39 +0100

=== debian/control ===
Source: python-roborock
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 dh-sequence-sphinxdoc <!nodoc>,
 pybuild-plugin-pyproject,
 python3-all,
 python3-poetry-core,
Build-Depends-Indep:
 python3-aiohttp <!nocheck>,
 python3-pytest-asyncio <!nocheck>,
 python3-sphinx <!nodoc>,
 python3-sphinx-rtd-theme <!nodoc>,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/humbertogontijo/python-roborock
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-roborock
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-roborock.git

Package: python3-roborock
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${sphinxdoc:Depends},
Built-Using:
 ${sphinxdoc:Built-Using},
Description: Library for controlling Roborock vacuums over Wi-Fi
 This library provides the capability to manage and control Roborock vacuums
 over a Wi-Fi connection. It enables functionalities such as starting and
 stopping cleaning tasks, adjusting fan speeds, and returning the vacuum to its
 dock. Communication primarily happens locally, enhancing response times and
 reducing reliance on cloud services, though initial setup requires cloud-based
 device discovery.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=python-roborock
%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf python_roborock.egg-info/ docs/_build

override_dh_auto_build:
	dh_auto_build $@ --buildsystem=pybuild
	cd docs; PYTHONPATH=$(CURDIR) LC_ALL=C.UTF-8 LANGUAGE=C.UTF-8 sphinx-build -bhtml -d _build/doctrees source _build/html


override_dh_auto_test:

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/python-roborock-$1\.tar\.gz/ \
  https://github.com/humbertogontijo/python-roborock/tags .*/v?(\d\S+)\.tar\.gz

## python-roborock 2.9.1

=== debian/changelog ===
python-roborock (2.9.1-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright year.
  * Simplify debian/rules.
  * Simplify debian/watch.

 -- Edward Betts <edward@4angle.com>  Thu, 16 Jan 2025 11:45:14 -0600

python-roborock (2.8.0-1) unstable; urgency=medium

  * New upstream release.
  * Upstream accepted Fix-call-to-super-in-docs.patch.

 -- Edward Betts <edward@4angle.com>  Sat, 16 Nov 2024 15:31:05 +0100

python-roborock (2.7.2-1) unstable; urgency=medium

  * New upstream release.
  * Add patch from Chris Lamb to make package reproducible. (Closes: #1085097)

 -- Edward Betts <edward@4angle.com>  Mon, 11 Nov 2024 07:49:48 +0000

## python-roborock 2.9.8

=== debian/changelog ===
python-roborock (2.9.8-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Fri, 31 Jan 2025 07:54:36 +0000

python-roborock (2.9.5-1) unstable; urgency=medium

  * New upstream release.
  * Run tests during package build and autopkgtest.
  * Add Build-Depends needed for tests.
  * Binary package now depends on python3-pycryptodome.
  * Patch code to use import from Cryptodome instead of Crypto.
  * Add '/' to directory in debian/clean.
  * Add python3-vacuum-map-parser-base dependency.

 -- Edward Betts <edward@4angle.com>  Fri, 24 Jan 2025 09:15:04 +0000

## python-roborock 2.11.2

=== debian/changelog ===
python-roborock (2.11.2-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Sat, 15 Feb 2025 22:27:50 -0500

## python-roborock 2.11.3

=== debian/changelog ===
python-roborock (2.11.3-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Thu, 20 Feb 2025 08:37:09 -0500

=== debian/control ===
--- 
+++ 
@@ -13,9 +13,19 @@
  python3-poetry-core,
 Build-Depends-Indep:
  python3-aiohttp <!nocheck>,
+ python3-aioresponses <!nocheck>,
+ python3-async-timeout <!nocheck>,
+ python3-construct <!nocheck>,
+ python3-freezegun <!nocheck>,
+ python3-paho-mqtt <!nocheck>,
+ python3-pycryptodome <!nocheck>,
+ python3-pytest <!nocheck>,
  python3-pytest-asyncio <!nocheck>,
+ python3-pytest-timeout <!nocheck>,
  python3-sphinx <!nodoc>,
  python3-sphinx-rtd-theme <!nodoc>,
+ python3-vacuum-map-parser-base <!nocheck>,
+ python3-vacuum-map-parser-roborock <!nocheck>,
 Rules-Requires-Root: no
 Standards-Version: 4.7.0
 Homepage: https://github.com/humbertogontijo/python-roborock
@@ -25,6 +35,8 @@
 Package: python3-roborock
 Architecture: all
 Depends:
+ python3-pycryptodome,
+ python3-vacuum-map-parser-base,
  ${misc:Depends},
  ${python3:Depends},
  ${sphinxdoc:Depends},

## python-roborock 2.12.0

=== debian/changelog ===
python-roborock (2.12.0-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version.

 -- Edward Betts <edward@4angle.com>  Mon, 24 Feb 2025 06:32:33 -0500

=== debian/control ===
--- 
+++ 
@@ -27,7 +27,7 @@
  python3-vacuum-map-parser-base <!nocheck>,
  python3-vacuum-map-parser-roborock <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.1
 Homepage: https://github.com/humbertogontijo/python-roborock
 Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-roborock
 Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-roborock.git

## python-roborock 2.12.2

=== debian/changelog ===
python-roborock (2.12.2-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Tue, 11 Mar 2025 07:02:42 +0100

## python-roborock 2.15.0

=== debian/changelog ===
python-roborock (2.15.0-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version.

 -- Edward Betts <edward@4angle.com>  Thu, 20 Mar 2025 07:55:51 +0000

=== debian/tests/control ===
Tests:
 run-tests,
Depends:
 python3-aioresponses,
 python3-all,
 python3-freezegun,
 python3-pytest,
 python3-pytest-asyncio,
 python3-pytest-timeout,
 @,

## python-roborock 2.16.1

=== debian/changelog ===
python-roborock (2.16.1-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Mon, 24 Mar 2025 05:24:00 +0000

=== debian/control ===
--- 
+++ 
@@ -27,7 +27,7 @@
  python3-vacuum-map-parser-base <!nocheck>,
  python3-vacuum-map-parser-roborock <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.7.1
+Standards-Version: 4.7.2
 Homepage: https://github.com/humbertogontijo/python-roborock
 Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-roborock
 Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-roborock.git

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_TEST_ARGS=--ignore=tests/test_api.py --ignore=tests/test_a01_api.py
%:
	dh $@ --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build $@ --buildsystem=pybuild
	cd docs; PYTHONPATH=$(CURDIR) LC_ALL=C.UTF-8 LANGUAGE=C.UTF-8 sphinx-build -bhtml -d _build/doctrees source _build/html

## python-roborock 2.19.0

=== debian/changelog ===
python-roborock (2.19.0-1) unstable; urgency=medium

  * New upstream release.
  * Upstream now needs python3-asyncio-mqtt and python3-pyrate-limiter.
  * Switch to autopkgtest-pkg-pybuild.

 -- Edward Betts <edward@4angle.com>  Fri, 16 May 2025 12:59:32 +0100

## python-roborock 2.25.1

=== debian/changelog ===
python-roborock (2.25.1-1) unstable; urgency=medium

  * New upstream release.
  * Patch code to use Cryptodome from debian/rules instead of debian/patches.

 -- Edward Betts <edward@4angle.com>  Thu, 31 Jul 2025 08:59:33 +0100

=== debian/control ===
--- 
+++ 
@@ -15,10 +15,12 @@
  python3-aiohttp <!nocheck>,
  python3-aioresponses <!nocheck>,
  python3-async-timeout <!nocheck>,
+ python3-asyncio-mqtt <!nocheck>,
  python3-construct <!nocheck>,
  python3-freezegun <!nocheck>,
  python3-paho-mqtt <!nocheck>,
  python3-pycryptodome <!nocheck>,
+ python3-pyrate-limiter <!nocheck>,
  python3-pytest <!nocheck>,
  python3-pytest-asyncio <!nocheck>,
  python3-pytest-timeout <!nocheck>,
@@ -31,6 +33,7 @@
 Homepage: https://github.com/humbertogontijo/python-roborock
 Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-roborock
 Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-roborock.git
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-roborock
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,7 @@
 #!/usr/bin/make -f
 export PYBUILD_TEST_ARGS=--ignore=tests/test_api.py --ignore=tests/test_a01_api.py
+export PYBUILD_AFTER_BUILD=find {build_dir} -type f -name "*.py" -exec sed -i 's/^from Crypto\./from Cryptodome./g' {{}} +
+
 %:
 	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
https://github.com/humbertogontijo/python-roborock/tags .*/v?(\d\S+)\.tar\.gz

## python-roborock 2.27.0

=== debian/changelog ===
python-roborock (2.27.0-1) unstable; urgency=medium

  * New upstream release.
  * Remove extra README.md installed in the wrong place.

 -- Edward Betts <edward@4angle.com>  Mon, 04 Aug 2025 11:03:53 +0100

## python-roborock 2.35.0

=== debian/changelog ===
python-roborock (2.35.0-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Wed, 13 Aug 2025 11:29:01 +0100

## python-roborock 2.37.0

=== debian/changelog ===
python-roborock (2.37.0-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Thu, 21 Aug 2025 11:12:21 +0100

## python-roborock 2.38.0

=== debian/changelog ===
python-roborock (2.38.0-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Fri, 22 Aug 2025 07:42:47 +0100

## python-roborock 2.39.0

=== debian/changelog ===
python-roborock (2.39.0-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Thu, 28 Aug 2025 16:51:15 +0100

## python-roborock 2.40.0

=== debian/changelog ===
python-roborock (2.40.0-1) unstable; urgency=medium

  * New upstream release.
  * Upstream now uses syrupy for tests.
  * Remove 'Rules-Requires-Root: no', now the default.
  * Add debian/salsa-ci.yml.

 -- Edward Betts <edward@4angle.com>  Tue, 09 Sep 2025 07:56:07 +0100

=== debian/control ===
--- 
+++ 
@@ -26,9 +26,9 @@
  python3-pytest-timeout <!nocheck>,
  python3-sphinx <!nodoc>,
  python3-sphinx-rtd-theme <!nodoc>,
+ python3-syrupy <!nocheck>,
  python3-vacuum-map-parser-base <!nocheck>,
  python3-vacuum-map-parser-roborock <!nocheck>,
-Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Homepage: https://github.com/humbertogontijo/python-roborock
 Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-roborock

## python-roborock 2.47.1

=== debian/changelog ===
python-roborock (2.47.1-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Wed, 24 Sep 2025 09:05:31 +0000

## python-roborock 2.49.1

=== debian/changelog ===
python-roborock (2.49.1-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Thu, 02 Oct 2025 19:52:52 +0100

## python-roborock 2.57.1

=== debian/changelog ===
python-roborock (2.57.1-1) unstable; urgency=medium

  * New upstream release.
  * Upstream changed build system to hatchling.
  * Update debian/watch to format version 5.

 -- Edward Betts <edward@4angle.com>  Sat, 18 Oct 2025 15:19:46 +0100

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 export PYBUILD_TEST_ARGS=--ignore=tests/test_api.py --ignore=tests/test_a01_api.py
 export PYBUILD_AFTER_BUILD=find {build_dir} -type f -name "*.py" -exec sed -i 's/^from Crypto\./from Cryptodome./g' {{}} +
+export PYBUILD_AFTER_INSTALL=rm -rf {destdir}/usr/lib/python3*/dist-packages/roborock/devices/README.md
 
 %:
 	dh $@ --buildsystem=pybuild

## python-roborock 2.60.1

=== debian/changelog ===
python-roborock (2.60.1-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Sun, 19 Oct 2025 09:16:29 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  dh-sequence-sphinxdoc <!nodoc>,
  pybuild-plugin-pyproject,
  python3-all,
- python3-poetry-core,
+ python3-hatchling,
 Build-Depends-Indep:
  python3-aiohttp <!nocheck>,
  python3-aioresponses <!nocheck>,

## python-roborock 3.0.0

=== debian/changelog ===
python-roborock (3.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Thu, 23 Oct 2025 08:57:21 +0100

## python-roborock 3.7.0

=== debian/changelog ===
python-roborock (3.7.0-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Fri, 31 Oct 2025 07:32:14 +0000

=== debian/watch ===
Version: 5

Template: Github
Owner: humbertogontijo
Project: python-roborock

## python-roborock 3.7.1

=== debian/changelog ===
python-roborock (3.7.1-1) unstable; urgency=medium

  * New upstream release.
  * Skip test_device_trait_command_parsing, it fails on i386 due to
    floating-point rounding difference.

 -- Edward Betts <edward@4angle.com>  Sat, 08 Nov 2025 07:11:02 +0000

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #!/usr/bin/make -f
-export PYBUILD_TEST_ARGS=--ignore=tests/test_api.py --ignore=tests/test_a01_api.py
+export PYBUILD_TEST_ARGS=--ignore=tests/test_api.py --ignore=tests/test_a01_api.py -k "not test_device_trait_command_parsing"
 export PYBUILD_AFTER_BUILD=find {build_dir} -type f -name "*.py" -exec sed -i 's/^from Crypto\./from Cryptodome./g' {{}} +
 export PYBUILD_AFTER_INSTALL=rm -rf {destdir}/usr/lib/python3*/dist-packages/roborock/devices/README.md

## python-roborock 3.7.2

=== debian/changelog ===
python-roborock (3.7.2-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Wed, 12 Nov 2025 06:43:31 +0000

## python-roborock 3.8.0

=== debian/changelog ===
python-roborock (3.8.0-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Mon, 17 Nov 2025 03:55:05 +0000

## python-roborock 3.8.5

=== debian/changelog ===
python-roborock (3.8.5-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Mon, 01 Dec 2025 13:35:08 +0000

## python-roborock 4.3.0

=== debian/changelog ===
python-roborock (4.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Run tests via override_dh_auto_test, copying test files into pybuild dirs
    and rewriting Crypto imports for pycryptodome.
  * Also rewrite Crypto imports in tests before autopkgtest.
  * Upstream now wants pytest-cov, add --no-cov to avoid coverage report.
  * Package no longer users sphinx for documentation.
  * Remove 'Priority: optional', now the default.
  * Update Standards-Version.
  * Update copyright year.

 -- Edward Betts <edward@4angle.com>  Mon, 12 Jan 2026 11:19:56 +0000

## python-roborock 4.4.0

=== debian/changelog ===
python-roborock (4.4.0-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Tue, 13 Jan 2026 21:52:36 +0000

=== debian/tests/control ===
--- 
+++ 
@@ -6,5 +6,7 @@
  python3-freezegun,
  python3-pytest,
  python3-pytest-asyncio,
+ python3-pytest-cov,
  python3-pytest-timeout,
+ python3-syrupy,
  @,

## python-roborock 4.6.0

=== debian/changelog ===
python-roborock (4.6.0-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Sun, 18 Jan 2026 03:53:11 +0000

## python-roborock 4.7.2

=== debian/changelog ===
python-roborock (4.7.2-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Thu, 22 Jan 2026 13:29:57 +0000

## python-roborock 4.10.0

=== debian/changelog ===
python-roborock (4.10.0-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Sun, 01 Feb 2026 22:11:36 +0000

## python-roborock 4.12.0

=== debian/changelog ===
python-roborock (4.12.0-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Mon, 02 Feb 2026 11:32:51 +0000

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,9 @@
 Uploaders:
  Edward Betts <edward@4angle.com>,
 Section: python
-Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
- dh-sequence-sphinxdoc <!nodoc>,
  pybuild-plugin-pyproject,
  python3-all,
  python3-hatchling,
@@ -23,17 +21,15 @@
  python3-pyrate-limiter <!nocheck>,
  python3-pytest <!nocheck>,
  python3-pytest-asyncio <!nocheck>,
+ python3-pytest-cov <!nocheck>,
  python3-pytest-timeout <!nocheck>,
- python3-sphinx <!nodoc>,
- python3-sphinx-rtd-theme <!nodoc>,
  python3-syrupy <!nocheck>,
  python3-vacuum-map-parser-base <!nocheck>,
  python3-vacuum-map-parser-roborock <!nocheck>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/humbertogontijo/python-roborock
 Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-roborock
 Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-roborock.git
-Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-roborock
 Architecture: all
@@ -42,9 +38,6 @@
  python3-vacuum-map-parser-base,
  ${misc:Depends},
  ${python3:Depends},
- ${sphinxdoc:Depends},
-Built-Using:
- ${sphinxdoc:Built-Using},
 Description: Library for controlling Roborock vacuums over Wi-Fi
  This library provides the capability to manage and control Roborock vacuums
  over a Wi-Fi connection. It enables functionalities such as starting and

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_TEST_ARGS=--no-cov --ignore=tests/test_api.py --ignore=tests/test_a01_api.py -k "not test_device_trait_command_parsing" --snapshot-warn-unused
export PYBUILD_AFTER_BUILD=find {build_dir} -type f -name "*.py" -exec sed -i 's/^from Crypto\./from Cryptodome./g' {{}} +
export PYBUILD_AFTER_INSTALL=rm -rf {destdir}/usr/lib/python3*/dist-packages/roborock/devices/README.md

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	for py in `py3versions -s`; do \
	    build_dir=".pybuild/cpython3_$${py#python}/build"; \
	    cp -a tests pyproject.toml "$$build_dir/"; \
	    cd "$$build_dir"; \
	    find tests -type f -name "*.py" -exec sed -i 's/^from Crypto\./from Cryptodome./g' {} +; \
	    $${py} -m pytest tests ${PYBUILD_TEST_ARGS}; \
	    rm -r tests pyproject.toml; \
		cd $(CURDIR); \
	done
endif
